Debian Bug report logs - #587893
ITP: tdbc -- Tcl Database Connectivity (TDBC)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Konstantin Khomoutov <flatworm@users.sourceforge.net>

Date: Fri, 2 Jul 2010 10:30:01 UTC

Owned by: Massimo Manghi <mxmanghi@apache.org>

Severity: wishlist

Fixed in version tdbc/1.0.0-1

Done: Massimo Manghi <mxmanghi@apache.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#587893; Package wnpp. (Fri, 02 Jul 2010 10:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 02 Jul 2010 10:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tdbc -- Tcl Database Connectivity (TDBC)
Date: Fri, 02 Jul 2010 14:18:38 +0400
Package: wnpp
Severity: wishlist
Owner: Konstantin Khomoutov <flatworm@users.sourceforge.net>

* Package name    : tdbc
  Version         : 1.0b14
  Upstream Author : Kevin B. Kenny <kennykb@acm.org>
                    The Tcl Core Team <tcl-core@lists.sourceforge.net>
* URL             : http://tdbc.tcl.tk/
* License         : (custom, BSD-like)
  Programming Lang: (C, Tcl)
  Description     : Tcl Database Connectivity (TDBC)

This package is a basis for common database access interface for Tcl
scripts providing common API for different database drivers (backends).
Drivers for various databases provided as separate packages, namely:
* Sqlite v3:  tcl-tdbc-sqlite3;
* MySQL:      tcl-tdbc-mysql;
* PostgreSQL: tcl-tdbc-pgsql;
* ODBC:       tcl-tdbc-odbc.


Temporary VCS URL is:
http://git.debian.org/?p=users/khomoutov-guest/tcl-tdbc.git




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Bug#587893; Package wnpp. (Sat, 19 Feb 2011 18:17:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>. (Sat, 19 Feb 2011 18:17:36 GMT) Full text and rfc822 format available.

Message #10 received at 587893@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 587893@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tdbc: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:11 +0000
retitle 587893 RFP: tdbc -- Tcl Database Connectivity (TDBC)
noowner 587893
thanks

Hi,

This is an automatic email to change the status of tdbc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting tdbc, please send a mail to
<control@bugs.debian.org> with:

 retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
 owner 587893 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <587893@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: tdbc -- Tcl Database Connectivity (TDBC)' from 'ITP: tdbc -- Tcl Database Connectivity (TDBC)' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:18:36 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Konstantin Khomoutov <flatworm@users.sourceforge.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:18:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#587893; Package wnpp. (Sat, 19 Feb 2011 19:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 19:48:08 GMT) Full text and rfc822 format available.

Message #19 received at 587893@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Lucas Nussbaum <lucas@debian.org>, 587893@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#587893: tdbc: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 22:45:19 +0300
retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
owner 587893 !
thanks

On Sat, Feb 19, 2011 at 05:08:11PM +0000, Lucas Nussbaum wrote:

[...]
> This is an automatic email to change the status of tdbc back from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't seen
> any activity during the last 6 months.
> 
> If you are still interested in adopting tdbc, please send a mail to
> <control@bugs.debian.org> with:
> 
>  retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
>  owner 587893 !
>  thanks
> 
> However, it is not recommended to keep ITP for a long time without acting on
> the package, as it might cause other prospective maintainers to refrain from
> packaging that software. It is also a good idea to document your progress on
> this ITP from time to time, by mailing <587893@bugs.debian.org>.

Hi!

Actually, the situation with this package is a bit weird: it's ready and
builds OK (modulo some lintian warnings about man pages -- reported
upstream and is being worked on there), but to be actually usable it
requires the next prospective beta release of Tcl 8.6 which is not done
yet, and Tcl maintainer does not want to package the trunk's HEAD (he
has valid reasons for this), so I do not proceed with the upload.

Is there any way to somehow mark the package as ready but just not
having its prime time for uploading?

(Of course, I'm fine with regaining the ownership of this bug from time
to time, -- just curious whether there's a better idea.)





Changed Bug title to 'ITP: tdbc -- Tcl Database Connectivity (TDBC)' from 'RFP: tdbc -- Tcl Database Connectivity (TDBC)' Request was from Konstantin Khomoutov <flatworm@users.sourceforge.net> to control@bugs.debian.org. (Sat, 19 Feb 2011 19:48:10 GMT) Full text and rfc822 format available.

Owner recorded as Konstantin Khomoutov <flatworm@users.sourceforge.net>. Request was from Konstantin Khomoutov <flatworm@users.sourceforge.net> to control@bugs.debian.org. (Sat, 19 Feb 2011 19:48:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Bug#587893; Package wnpp. (Sun, 20 Feb 2011 07:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>. (Sun, 20 Feb 2011 07:15:13 GMT) Full text and rfc822 format available.

Message #28 received at 587893@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Konstantin Khomoutov <flatworm@users.sourceforge.net>
Cc: Lucas Nussbaum <lucas@debian.org>, 587893@bugs.debian.org
Subject: Re: Bug#587893: tdbc: changing back from ITP to RFP
Date: Sun, 20 Feb 2011 08:08:05 +0100
On 19/02/11 at 22:45 +0300, Konstantin Khomoutov wrote:
> retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
> owner 587893 !
> thanks
> 
> On Sat, Feb 19, 2011 at 05:08:11PM +0000, Lucas Nussbaum wrote:
> 
> [...]
> > This is an automatic email to change the status of tdbc back from ITP
> > (Intent to Package) to RFP (Request for Package), because this bug hasn't seen
> > any activity during the last 6 months.
> > 
> > If you are still interested in adopting tdbc, please send a mail to
> > <control@bugs.debian.org> with:
> > 
> >  retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
> >  owner 587893 !
> >  thanks
> > 
> > However, it is not recommended to keep ITP for a long time without acting on
> > the package, as it might cause other prospective maintainers to refrain from
> > packaging that software. It is also a good idea to document your progress on
> > this ITP from time to time, by mailing <587893@bugs.debian.org>.
> 
> Hi!
> 
> Actually, the situation with this package is a bit weird: it's ready and
> builds OK (modulo some lintian warnings about man pages -- reported
> upstream and is being worked on there), but to be actually usable it
> requires the next prospective beta release of Tcl 8.6 which is not done
> yet, and Tcl maintainer does not want to package the trunk's HEAD (he
> has valid reasons for this), so I do not proceed with the upload.
> 
> Is there any way to somehow mark the package as ready but just not
> having its prime time for uploading?
> 
> (Of course, I'm fine with regaining the ownership of this bug from time
> to time, -- just curious whether there's a better idea.)

Hi,

My script only touches bugs that have not been modified during the last
6 months. So, if you remember to post a status update from time to time,
then it's fine.

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Bug#587893; Package wnpp. (Mon, 27 May 2013 14:11:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Konstantin Khomoutov <flatworm@users.sourceforge.net>. (Mon, 27 May 2013 14:11:32 GMT) Full text and rfc822 format available.

Message #33 received at 587893@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 587893@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tdbc: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 587893 RFP: tdbc -- Tcl Database Connectivity (TDBC)
noowner 587893
tag 587893 - pending
thanks

Hi,

This is an automatic email to change the status of tdbc back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting tdbc, please send a mail to
<control@bugs.debian.org> with:

 retitle 587893 ITP: tdbc -- Tcl Database Connectivity (TDBC)
 owner 587893 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <587893@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: tdbc -- Tcl Database Connectivity (TDBC)' from 'ITP: tdbc -- Tcl Database Connectivity (TDBC)' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:40:42 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Konstantin Khomoutov <flatworm@users.sourceforge.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:40:43 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: tdbc -- Tcl Database Connectivity (TDBC)' from 'RFP: tdbc -- Tcl Database Connectivity (TDBC)' Request was from Massimo Manghi <mxmanghi@apache.org> to control@bugs.debian.org. (Tue, 20 Aug 2013 18:48:07 GMT) Full text and rfc822 format available.

Owner recorded as Massimo Manghi <mxmanghi@apache.org>. Request was from Massimo Manghi <mxmanghi@apache.org> to control@bugs.debian.org. (Tue, 20 Aug 2013 18:48:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 23 Aug 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to Massimo Manghi <mxmanghi@apache.org>:
You have taken responsibility. (Tue, 03 Sep 2013 09:03:11 GMT) Full text and rfc822 format available.

Notification sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Bug acknowledged by developer. (Tue, 03 Sep 2013 09:03:11 GMT) Full text and rfc822 format available.

Message #48 received at 587893-close@bugs.debian.org (full text, mbox):

From: Massimo Manghi <mxmanghi@apache.org>
To: 587893-close@bugs.debian.org
Subject: Bug#587893: fixed in tdbc 1.0.0-1
Date: Tue, 03 Sep 2013 09:00:08 +0000
Source: tdbc
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
tdbc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Massimo Manghi <mxmanghi@apache.org> (supplier of updated tdbc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 13 Aug 2013 15:17:44 +0200
Source: tdbc
Binary: tcl8.6-tdbc
Architecture: source amd64
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Changed-By: Massimo Manghi <mxmanghi@apache.org>
Description: 
 tcl8.6-tdbc - Tcl Database Connectivity
Closes: 587893
Changes: 
 tdbc (1.0.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #587893)
Checksums-Sha1: 
 e53cd25e18926a4698bd642a70be6bf1d31846d2 1034 tdbc_1.0.0-1.dsc
 743aa5b839ccafff92428b03f4fc7f840912f255 188973 tdbc_1.0.0.orig.tar.gz
 2b4aee41d174dd0a073c41c10548b01b3ae208bd 5296 tdbc_1.0.0-1.debian.tar.gz
 81cbcc0e8984eb9e7290c2bef843b11128ffd076 41660 tcl8.6-tdbc_1.0.0-1_amd64.deb
Checksums-Sha256: 
 98d5650f27665c3cea9918aa062b52427f88f488d65ceb553cb5e96c5b313048 1034 tdbc_1.0.0-1.dsc
 bb337e9e6bfd31a839573d7e73bcde420637b694233e4b522e0a8bbae3b949a8 188973 tdbc_1.0.0.orig.tar.gz
 ef7af1b7f149ea7229fc5da9c6fcf858c272ca530c64ce6bd08408667718a425 5296 tdbc_1.0.0-1.debian.tar.gz
 6063f5921c44743020930edffeaaeecfa049fd515edb79d0132384478e0341cd 41660 tcl8.6-tdbc_1.0.0-1_amd64.deb
Files: 
 9a4e85e93074102e2de0479b82e03f1c 1034 libs optional tdbc_1.0.0-1.dsc
 4f7d8d58fb5b30e0ac5f5bdb5aee0dd6 188973 libs optional tdbc_1.0.0.orig.tar.gz
 13e7f0e80e0037b77e3f430c22082180 5296 libs optional tdbc_1.0.0-1.debian.tar.gz
 bac835044f4765bd161e557ceb1ca50e 41660 libs optional tcl8.6-tdbc_1.0.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSFwcBIcdH02pGEFIRAuiVAJ40ai0Q6wWDjv99VjZ3DD2P0I29gQCdG02G
sbUFGO1r8AXxPwEjL74kgTo=
=NojC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Oct 2013 07:37:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:11:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.